=== debian/changelog ===
amora-server (1.2~svn695-1) unstable; urgency=low

  * New upstream pre-release; provides two binaries, a command-line and a
    Qt4 based system tray interface.
    - Adapted packaging and README.source appropriately
    - Made amora-server a transitional package depending on one of the new
      packages amora-cli and amora-applet.
  * Bumped standards version to 3.9.1, no changes necessary.
  * Move to Debian source package format "3.0 (quilt)"
  * Added a debian/watch file using the http://googlecode.debian.net/
    redirector.
  * Changed (C) into appropriate UTF-8 character to fix lintian warnings
  * Changed the maintainer e-mail address to my debian.org address.
  * Fixed typo in debian/README.source

 -- Axel Beckert <abe@debian.org>  Wed, 04 Aug 2010 02:34:09 +0200

amora-server (1.1-1) unstable; urgency=low

  * Initial release for Debian (Closes: #488587)
  * New upstream release
  * New maintainer for the Debian package
  * Made the package confirming to Debian standards.
  * Based on content of "make dist" tar ball, does not build-depend on
    autoconf and friends anymore, removed appropriate build-deps.
  * Added a README.source
  * Bumped standards version to 3.8.0.

 -- Axel Beckert <abe@deuxchevaux.org>  Fri, 11 Jul 2008 16:29:23 +0200

amora-server (1.0-0) unstable; urgency=low

  * Initial Debian package release.

 -- Adenilson Cavalcanti <cavalcantii@gmail.com>  Tue, 11 Dec 2007 22:30:47 -0400
