=== debian/control ===
Source: amora-server
Section: x11
Priority: extra
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 5), libx11-dev, libbluetooth-dev, libxtst-dev, libimlib2-dev, pkg-config, qt4-qmake, libqt4-dev, libdbus-1-dev
Standards-Version: 3.9.1
Homepage: http://amora.googlecode.com/
Vcs-Svn: http://amora.googlecode.com/svn/trunk/amora-server/
Vcs-Browser: http://code.google.com/p/amora/source/browse

Package: amora-cli
Provides: amora-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: amora-server (<< 1.2~)
Breaks: amora-server (<< 1.2~)
Description: use a bluetooth device as X remote control (commandline tool)
 Amora (A mobile remote assistant) is an application that enables you
 to control your desktop using your mobile phone. It uses bluetooth to
 send mouse and keyboard events to the X session. With it, you can
 control your presentations, movies or any other application which
 mainly uses mouse and cursor keys.
 .
 Amora also has a screenshot feature, where you can see a thumbnail of
 the currently focused window on the mobile phone.
 .
 Currently only Symbian Series 60 mobile phones are supported. A Java
 client implementation is under development. A proof of concept client
 for Linux based mobile device like the Nokia Internet Tablets and the
 OpenMoko FreeRunner is available.
 .
 This package contains the commandline version of the daemon (formerly
 called amora-server) running on the to be remote controlled computer.
 The client has to be installed on the mobile phone and is not
 contained in the package. It can be downloaded from the home page of
 the project.

Package: amora-applet
Provides: amora-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: use a bluetooth device as X remote control (systray applet)
 Amora (A mobile remote assistant) is an application that enables you
 to control your desktop using your mobile phone. It uses bluetooth to
 send mouse and keyboard events to the X session. With it, you can
 control your presentations, movies or any other application which
 mainly uses mouse and cursor keys.
 .
 Amora also has a screenshot feature, where you can see a thumbnail of
 the currently focused window on the mobile phone.
 .
 Currently only Symbian Series 60 mobile phones are supported. A Java
 client implementation is under development. A proof of concept client
 for Linux based mobile device like the Nokia Internet Tablets and the
 OpenMoko FreeRunner is available.
 .
 This package contains the Qt-based system tray applet version of the
 daemon running on the to be remote controlled computer. The client
 has to be installed on the mobile phone and is not contained in the
 package. It can be downloaded from the home page of the project.

Package: amora-server
Architecture: all
Depends: amora-cli | amora-applet, ${misc:Depends}
Description: use a bluetooth device as X remote control (transitional package)
 amora-server has been split up into two packages: amora-cli with a
 sole commandline interface and only few dependencies and amora-applet
 which uses a Qt based system tray interface.
 .
 This transitional package can be removed safely.
