=== debian/changelog ===
amora-server (1.2~svn699-1) unstable; urgency=low

  * New upstream snapshot
    - Fixes FTBFS (Closes: #672072)
  * Enabled hardening buildflags
  * Use autotools-dev's dh_autotools-dev_*config for config.{guess,sub}
    handling.
  * Bump debhelper compatibility to 9
    - Use "dh_prep" instead of "dh_clean -k"
  * Cleanup debian/rules a little bit

 -- Axel Beckert <abe@debian.org>  Sun, 20 May 2012 00:42:44 +0200

amora-server (1.2~svn697-1) unstable; urgency=low

  * New upstream snapshot
    - Fixes FTBFS with GCC 4.7 (Closes: #667097)
  * Remove transitional package amora-server
  * Bump Standard-Version to 3.9.3 (no changes)
  * Fix Lintian warning debian-rules-missing-recommended-target

 -- Axel Beckert <abe@debian.org>  Sat, 07 Apr 2012 19:44:05 +0200

amora-server (1.2~svn695-2) unstable; urgency=low

  * No more include .la files in the binary packages. (Closes: #621143)

 -- Axel Beckert <abe@debian.org>  Thu, 07 Apr 2011 20:17:46 +0200
