=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: extra
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 5), libx11-dev, libbluetooth-dev, libxtst-dev, libimlib2-dev, pkg-config, qt4-qmake, libqt4-dev, libdbus-1-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9~), libx11-dev, libbluetooth-dev, libxtst-dev, libimlib2-dev, pkg-config, qt4-qmake, libqt4-dev, libdbus-1-dev, dpkg-dev (>= 1.16.1~), autotools-dev
+Standards-Version: 3.9.3
 Homepage: http://amora.googlecode.com/
 Vcs-Svn: http://amora.googlecode.com/svn/trunk/amora-server/
 Vcs-Browser: http://code.google.com/p/amora/source/browse
@@ -58,13 +58,3 @@
  daemon running on the to be remote controlled computer. The client
  has to be installed on the mobile phone and is not contained in the
  package. It can be downloaded from the home page of the project.
-
-Package: amora-server
-Architecture: all
-Depends: amora-cli | amora-applet, ${misc:Depends}
-Description: use a bluetooth device as X remote control (transitional package)
- amora-server has been split up into two packages: amora-cli with a
- sole commandline interface and only few dependencies and amora-applet
- which uses a Qt based system tray interface.
- .
- This transitional package can be removed safely.
