=== debian/watch ===
version=3
http://googlecode.debian.net/p/amora/amora-server-(\d[\d.]*).tar.gz
