=== debian/changelog ===
amora-server (1.2~svn+git2015.04.25-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:12:50 +0000

amora-server (1.2~svn+git2015.04.25-1) unstable; urgency=low

  * New upstream snapshot taken from now to git converted repository.
  * Upstream and repositories moved from closing Google Code to Github.
    + Update Homepage and Vcs-* headers
    + Update debian/{README.{Debian,source},watch,copyright}
  * Apply wrap-and-sort.
  * Declare compliance with Debian Policy 3.9.6 (no other changes needed)
  * Switch debian/rules to dh v7 minimal style
    + Move file installations to debian/amora-*.install
    + Use dh_auto_{configure,build,install} instead of configure and make.
  * Use autoreconf to regenerate potentially missing files for amora-cli.
    + Add build-dependencies on autoconf, automake and libtool-bin.

 -- Axel Beckert <abe@debian.org>  Sat, 16 May 2015 15:33:07 +0200
