=== debian/watch ===
version=3
https://github.com/amora/amora/releases .*/archive/amora-(.*).tar.gz
